Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Data Provider/OGR

Affected QGIS version:2.18.3 Regression?:

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24391

Description

when loading in a delimited file with WKT geometry of type MultiPoint, geometries are invalid if all longitude values are negative. QGIS

2.18.3.

code samples here on gis stack exchange : https://gis.stackexchange.com/a/238583/55203

this seems to be restricted to the delimited text provider; it works fine with shapefiles and geoJSON. If I split the multipoints into distinct

point geometries, or use linestrings, it works.

It doesn't seem related to line length (truncation), geometry direction or the dateline issue (values of +/-180 or +/-90 for longitude and

latitude).

I've also tried shuffling the points at random, applying jitter (to rule out issues with mixed int/float parsing).

It seems to be an import issue, not a rendering/projection issue.

Associated revisions

Revision ef6c8be1 - 2017-04-30 12:23 AM - Nyall Dawson

Fix import WKT of the format MultiPoint (-20 -90, -20 -88 )

Should technically be MultiPoint ((-20 -90), (-20 -88)), but

it's nice to be forgiving and accept as wide a range of WKT

formats as possible

Fix #16483

Revision fad23dda - 2017-05-09 03:56 AM - Nyall Dawson

Fix import WKT of the format MultiPoint (-20 -90, -20 -88 )

Should technically be MultiPoint ((-20 -90), (-20 -88)), but

it's nice to be forgiving and accept as wide a range of WKT

formats as possible

Fix #16483

(cherry-picked from ef6c8b)
https://gis.stackexchange.com/a/238583/55203


History

#1 - 2017-04-28 04:11 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you share a portion of the file you're using?

#2 - 2017-04-28 05:07 PM - Nyall Dawson

- Assignee set to Nyall Dawson

Confirmed - the issue stems from MultiPoint WKT of the format

MultiPoint (-20 -90, -20 -88 )

The format

MultiPoint ((-20 -90),(-20 -88))

works correctly.

Fix incoming

#3 - 2017-04-30 11:16 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Description updated

#4 - 2017-04-30 04:33 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ef6c8be16f86fe3cc2363c92ed032b35db1f3d7d.
